# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Acme-CPANAuthors-NameGen
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.010000
Release: alt1
Summary: A simple and dumb name generator based by cpan authors.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MZ/MZIESCHA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Acme::CPANAuthors::NameGen qw/gen gen_lc gen_uc/;

    # generates a random name like affectionate_MZIESCHA
    my $random_author = gen;

    # Same as gen but upper case
    my $random_author = gen_uc;
    
    # Same as gen but lower case
    my $random_author = gen_lc;
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%perl_vendor_privlib/A*

%changelog
* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.010000-alt1
- initial import by package builder

